`timescale 1ns/1ps
module usrXOR(out, a, b);
	input a, b;
	output out;
	wire NOTa, NOTb, w1, w2, w3;
	supply1 vdd;
	supply0 gnd;
	
	nmos #(3,5,4)
		(NOTa, gnd, a)
		,(NOTb, gnd, b)
		,(w3, gnd, NOTa)
		,(w3, gnd, b)
		,(out, w3, a)
		,(out, w3, NOTb);
		
	pmos #(4,6,5)
		(NOTa, vdd, a)
		,(NOTb, vdd, b)
		,(w1, vdd, b)
		,(w2, vdd, NOTb)
		,(out, w1, NOTa)
		,(out, w2, a);
endmodule