`timescale 1ns/1ns
module comp(outt, outg, a3, a2, a1, a0, b3, b2, b1, b0);
	output outt, outg;
	input a3, a2, a1, a0, b3, b2, b1, b0;
	wire w1, w2, w3, w4, v1, v2, v3, v4;
	
	usrXOR first(w1, a3, b3)
		,second(w2, a2, b2)
		,third(w3, a1, b1)
		,forth(w4, a0, b0);
	usrNOR last(outt, w1, w2, w3, w4);
	
	xor (v1, a3, b3)
		,(v2, a2, b2)
		,(v3, a1, b1)
		,(v4, a0, b0);
	nor	(outg, v1, v2, v3, v4);
endmodule